Bug 75909 - [update] math/blitz++ to 0.8
[update] math/blitz++ to 0.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thierry Thomas
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 08:40 UTC by saut
Modified: 2005-02-22 23:36 UTC (History)
0 users

See Also:


Attachments
file.diff (33.22 KB, patch)
2005-01-07 08:40 UTC, saut
no flags Details | Diff
blitz.diff (81.28 KB, patch)
2005-02-22 18:22 UTC, saut
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description saut 2005-01-07 08:40:31 UTC

Update math/blitz++ to 0.8
For a list of changes: http://sourceforge.net/project/shownotes.php?release_id=280367

Files removed: 
* files/patch-bzconfig
* files/patch-doc-Makefile.in

Remove configure option --disable-debug (disabled by defaut unless the flag BZDEBUG is set during the compilation).
Turn on -O2 optimization (I use for two weeks without any problem).
Use libtool.

I am not sure about the way it handles pkgconfig (patch Makefile.in) and libtool files (USE_LIBTOOL).

Fix: --- blitz++.diff begins here ---
Comment 1 Sergey Matveychuk freebsd_committer 2005-01-08 21:04:45 UTC
> Turn on -O2 optimization (I use for two weeks without any problem).

Yes, but you should respact CFLAGS as described in Porter's Handbook:
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-cflags.html
-- 
Sem.
Comment 2 saut 2005-01-10 17:34:10 UTC
Here is the patch without the optimization :

diff -ruN blitz++.orig/Makefile blitz++/Makefile
--- blitz++.orig/Makefile	Fri Jan  7 09:19:28 2005
+++ blitz++/Makefile	Mon Jan 10 18:27:07 2005
@@ -7,12 +7,11 @@
  #

  PORTNAME=	blitz++
-PORTVERSION=	0.7
-PORTREVISION=	1
+PORTVERSION=	0.8
  CATEGORIES=	math
  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
  MASTER_SITE_SUBDIR=	blitz
-DISTNAME=	Blitz++-${PORTVERSION}
+DISTNAME=	blitz-${PORTVERSION}

  MAINTAINER=	ports@FreeBSD.org
  COMMENT=	A C++ class library for scientific computing
@@ -20,17 +19,15 @@
  USE_REINPLACE=	yes
  USE_GMAKE=	yes
  GNU_CONFIGURE=	yes
+USE_LIBTOOL_VER=15
  CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ARGS=	--with-cxx=gcc --enable-optimize --disable-debug
+CONFIGURE_ARGS=	--with-cxx=gcc --enable-optimize
  MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOMAKE="${TRUE}" \
  		AUTOHEADER="${TRUE}"

-INFO=		blitz
-DOCSDIR=	${PREFIX}/share/doc/blitz
+DOCSDIR=	${PREFIX}/share/doc/blitz-${PORTVERSION}

  post-patch:
-	@${FIND} ${WRKSRC}/manual -name "Makefile.in" | ${XARGS} \
-		${REINPLACE_CMD} -e 's|[(]prefix[)]|(datadir)|g'
  	@${REINPLACE_CMD} -e 's|g++|\$${CXX}|g ; \
  		 s|"-ftemplate-depth-30|"\$${CXXFLAGS} -ftemplate-depth-30|g ; \
  		 s|-O2||g' ${WRKSRC}/configure
diff -ruN blitz++.orig/distinfo blitz++/distinfo
--- blitz++.orig/distinfo	Fri Jan  7 09:19:28 2005
+++ blitz++/distinfo	Thu Jan  6 23:16:03 2005
@@ -1,2 +1,2 @@
-MD5 (Blitz++-0.7.tar.gz) = 4ca794b9cfbfee44d386f518584141cb
-SIZE (Blitz++-0.7.tar.gz) = 2079344
+MD5 (blitz-0.8.tar.gz) = 358cdd8716de5d615f91df660f1c92d9
+SIZE (blitz-0.8.tar.gz) = 2729167
diff -ruN blitz++.orig/files/patch-Makefile.in 
blitz++/files/patch-Makefile.in
--- blitz++.orig/files/patch-Makefile.in	Fri Jan  7 09:19:28 2005
+++ blitz++/files/patch-Makefile.in	Thu Jan  6 23:16:03 2005
@@ -1,17 +1,23 @@
---- Makefile.in.orig	Fri Nov  7 23:43:47 2003
-+++ Makefile.in	Fri Nov  7 23:46:09 2003
-@@ -153,8 +153,12 @@ target_vendor = @target_vendor@
-
- AUTOMAKE_OPTIONS = foreign
-
--SUBDIRS = bin compiler blitz random src lib testsuite \
--	examples benchmarks doc manual
+--- ./Makefile.in.orig	Thu Jan  6 21:51:56 2005
++++ Makefile.in	Thu Jan  6 23:01:59 2005
+@@ -276,13 +276,18 @@
+ target_os = @target_os@
+ target_vendor = @target_vendor@
+ ACLOCAL_AMFLAGS = -I m4
++
  +ifndef NOPORTDOCS
-+DOCS = doc manual
++DOCS = doc
  +endif
  +
-+SUBDIRS = bin compiler blitz random src lib  $(DOCS)
-+	
+ SUBDIRS = bin blitz random lib testsuite \
+-	examples benchmarks doc
++	examples benchmarks $(DOCS)
+
+ EXTRA_DIST = LEGAL LICENSE README.binutils README-VS.NET.txt 
Blitz-VS.NET.zip \
+ 	ChangeLog.1

+-pkgconfigdir = $(libdir)/pkgconfig
++pkgconfigdir = libdata/pkgconfig
+ pkgconfig_DATA = blitz.pc blitz-uninstalled.pc
+ all: all-recursive

- EXTRA_DIST = LEGAL LICENSE README.binutils README-VS.NET 
Blitz-VS.NET.zip \
diff -ruN blitz++.orig/files/patch-bzconfig blitz++/files/patch-bzconfig
--- blitz++.orig/files/patch-bzconfig	Fri Jan  7 09:19:28 2005
+++ blitz++/files/patch-bzconfig	Thu Jan  1 01:00:00 1970
@@ -1,14 +0,0 @@
---- compiler/bzconfig.orig	Thu May 22 15:06:34 2003
-+++ compiler/bzconfig	Thu May 22 15:07:00 2003
-@@ -37,11 +37,6 @@
- # to edit the next line
- objextension='o'
-
--if test ! -t 0; then
--    echo "Use 'sh bzconfig', not 'sh < bzconfig'"
--    exit 1
--fi
--
- # clean="rm -f a.out core bztemp bztest bzjunk.cpp bzjunk.o bzjunk.ii 
bzjunk.int.c bzjunk.s"
- clean="rm -f core"
- trap '$clean; exit 1' 1 2 3 15
diff -ruN blitz++.orig/files/patch-doc-Makefile.in 
blitz++/files/patch-doc-Makefile.in
--- blitz++.orig/files/patch-doc-Makefile.in	Fri Jan  7 09:19:28 2005
+++ blitz++/files/patch-doc-Makefile.in	Thu Jan  1 01:00:00 1970
@@ -1,13 +0,0 @@
---- doc/Makefile.in.orig	Wed Sep 17 20:00:32 2003
-+++ doc/Makefile.in	Mon May 31 01:33:13 2004
-@@ -154,8 +154,8 @@
- SUBDIRS = examples stencils
-
- # install these files
--docdir = $(prefix)/doc
--doc_DATA = blitz.ps
-+docdir = $(prefix)/share/doc/blitz
-+doc_DATA =
-
- AM_MAKEINFOFLAGS = --no-split
- TEXI2HTML = texi2html
diff -ruN blitz++.orig/pkg-plist blitz++/pkg-plist
--- blitz++.orig/pkg-plist	Fri Jan  7 09:19:28 2005
+++ blitz++/pkg-plist	Thu Jan  6 23:16:03 2005
@@ -26,8 +26,6 @@
  include/blitz/array/methods.cc
  include/blitz/array/misc.cc
  include/blitz/array/multi.h
-include/blitz/array/newbops.cc
-include/blitz/array/newet-macros-old.h
  include/blitz/array/newet-macros.h
  include/blitz/array/newet.h
  include/blitz/array/ops.cc
@@ -51,12 +49,13 @@
  include/blitz/benchext.cc
  include/blitz/benchext.h
  include/blitz/blitz.h
+include/blitz/bzconfig.h
  include/blitz/bzdebug.h
  include/blitz/compiler.h
-include/blitz/config.h
  include/blitz/etbase.h
  include/blitz/extremum.h
  include/blitz/funcs.h
+include/blitz/gnu/bzconfig.h
  include/blitz/indexexpr.h
  include/blitz/limits-hack.h
  include/blitz/listinit.h
@@ -162,132 +161,428 @@
  include/random/normal.h
  include/random/uniform.h
  lib/libblitz.a
-lib/libblitz.la
-%%PORTDOCS%%%%DOCSDIR%%/examples/cast.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/debug.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/dump.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/fixed.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/outer.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/outer.log
-%%PORTDOCS%%%%DOCSDIR%%/examples/output.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/output.log
-%%PORTDOCS%%%%DOCSDIR%%/examples/range.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/simple.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/simple.log
-%%PORTDOCS%%%%DOCSDIR%%/examples/slicing.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/storage.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/storage.log
-%%PORTDOCS%%%%DOCSDIR%%/examples/strideslice.cpp
-%%PORTDOCS%%%%DOCSDIR%%/examples/xor.cpp
-%%PORTDOCS%%%%DOCSDIR%%/stencils/Laplacian2D.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/Laplacian2D4.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward11.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward12.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward21.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward22.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward31.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward32.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward41.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/backward42.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central12.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central14.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central22.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central24.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central32.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central34.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central42.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/central44.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/dump-stencil.cpp
-%%PORTDOCS%%%%DOCSDIR%%/stencils/dump1D
-%%PORTDOCS%%%%DOCSDIR%%/stencils/dumpdiffs
-%%PORTDOCS%%%%DOCSDIR%%/stencils/dumpst
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward11.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward12.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward21.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward22.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward31.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward32.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward41.yo
-%%PORTDOCS%%%%DOCSDIR%%/stencils/forward42.yo
-%%PORTDOCS%%%%DOCSDIR%%/Frames.html
-%%PORTDOCS%%%%DOCSDIR%%/INDEX.html
-%%PORTDOCS%%%%DOCSDIR%%/Index-epilogue.html
-%%PORTDOCS%%%%DOCSDIR%%/Index-prologue.html
-%%PORTDOCS%%%%DOCSDIR%%/Index.html
-%%PORTDOCS%%%%DOCSDIR%%/arrays-ctors.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-debug.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-expr.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-globals.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-indirect.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-intro.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-io.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-members.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-multi.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-slicing.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-stencils.yo
-%%PORTDOCS%%%%DOCSDIR%%/arrays-storage.yo
  %%PORTDOCS%%%%DOCSDIR%%/blitz.gif
-%%PORTDOCS%%%%DOCSDIR%%/arrays-types
-%%PORTDOCS%%%%DOCSDIR%%/arrays-usertype.yo
  %%PORTDOCS%%%%DOCSDIR%%/blitz.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz.pdf
  %%PORTDOCS%%%%DOCSDIR%%/blitz.ps
-%%PORTDOCS%%%%DOCSDIR%%/blitz.yo
-%%PORTDOCS%%%%DOCSDIR%%/blitz01.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz02.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz03.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz04.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz05.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz06.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz07.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz08.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz09.html
-%%PORTDOCS%%%%DOCSDIR%%/blitz10.html
-%%PORTDOCS%%%%DOCSDIR%%/blitzmacros.yo
+%%PORTDOCS%%%%DOCSDIR%%/blitz_1.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_10.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_11.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_12.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_13.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_14.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_15.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_16.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_2.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_3.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_4.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_5.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_6.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_7.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_8.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_9.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_abt.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_fot.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_ovr.html
+%%PORTDOCS%%%%DOCSDIR%%/blitz_toc.html
  %%PORTDOCS%%%%DOCSDIR%%/blitztiny.jpg
-%%PORTDOCS%%%%DOCSDIR%%/classref.html
-%%PORTDOCS%%%%DOCSDIR%%/compiling.yo
-%%PORTDOCS%%%%DOCSDIR%%/constants.yo
-%%PORTDOCS%%%%DOCSDIR%%/download.yo
-%%PORTDOCS%%%%DOCSDIR%%/faq.yo
-%%PORTDOCS%%%%DOCSDIR%%/help.yo
-%%PORTDOCS%%%%DOCSDIR%%/index.html
-%%PORTDOCS%%%%DOCSDIR%%/index.m4
-%%PORTDOCS%%%%DOCSDIR%%/indirect.eps
-%%PORTDOCS%%%%DOCSDIR%%/indirect.fig
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/F_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/F_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/annotated.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/array-impl_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/array-impl_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/array_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/array_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/beta_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/beta_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/blitz-0.8.tag
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/blitz_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/blitz_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/bzconfig_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/bzconfig_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/chisquare_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/chisquare_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classArray-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classArray.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classArray.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classAsymmetricMatrix-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classAsymmetricMatrix.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classAsymmetricMatrix.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classBeta-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classBeta.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classBeta.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classChiSquare-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classChiSquare.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classChiSquare.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classColumnMajor-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classColumnMajor.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classColumnMajor.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classColumnMajorIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classColumnMajorIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classColumnMajorIterator.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiagonal-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiagonal.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiagonal.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiagonalIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiagonalIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiscreteUniform-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiscreteUniform.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classDiscreteUniform.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classETBase-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classETBase.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExponential-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExponential.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExponential.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExponentialUnit-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExponentialUnit.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExponentialUnit.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExtremum-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classExtremum.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classF-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classF.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGamma-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGamma.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGamma.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGeneralIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGeneralIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGeneralIterator.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGeneralMatrix-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGeneralMatrix.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classGeneralMatrix.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIRNGWrapper.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIRNGWrapper_3_01IRNG_00_01independentState_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIRNGWrapper_3_01IRNG_00_01independentState_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIRNGWrapper_3_01IRNG_00_01sharedState_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIRNGWrapper_3_01IRNG_00_01sharedState_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIndexPlaceholder-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classIndexPlaceholder.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classListInitializationSwitch-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classListInitializationSwitch.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classListInitializer-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classListInitializer.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classLowerTriangular-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classLowerTriangular.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classLowerTriangular.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classLowerTriangularIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classLowerTriangularIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMatrix-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMatrix.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMatrix.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMatrixStructure.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMatrixStructure.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMemoryBlock-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMemoryBlock.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMemoryBlock.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMemoryBlockReference-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMemoryBlockReference.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMersenneTwister-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMersenneTwister.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMersenneTwisterDouble-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classMersenneTwisterDouble.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNormal-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNormal.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNormal.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNormalUnit-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNormalUnit.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNormalUnit.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNullMemoryBlock-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNullMemoryBlock.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classNullMemoryBlock.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRandom-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRandom.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRange-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRange.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceAll-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceAll.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceAny-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceAny.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceCount-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceCount.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceFirst-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceFirst.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceLast-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceLast.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMax-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMax.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMaxIndex-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMaxIndex.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMaxIndexVector-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMaxIndexVector.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMean-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMean.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMin-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMin.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMinIndex-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMinIndex.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMinIndexVector-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceMinIndexVector.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceProduct-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceProduct.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceSum-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classReduceSum.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRowMajor-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRowMajor.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRowMajor.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRowMajorIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRowMajorIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classRowMajorIterator.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classSymmetric-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classSymmetric.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classSymmetric.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classSymmetricIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classSymmetricIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTT800-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTT800.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVector-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVector.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVectorIter-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVectorIter.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVectorIterConst-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVectorIterConst.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classTinyVector_3_01T_00_010_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classToeplitz-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classToeplitz.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classToeplitz.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classToeplitzIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classToeplitzIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniform-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniform.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniform.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01double_00_01IRNG_00_01stateTag_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01double_00_01IRNG_00_01stateTag_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01double_00_01IRNG_00_01stateTag_01_4.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01float_00_01IRNG_00_01stateTag_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01float_00_01IRNG_00_01stateTag_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01float_00_01IRNG_00_01stateTag_01_4.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01long_01double_00_01IRNG_00_01stateTag_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01long_01double_00_01IRNG_00_01stateTag_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosedOpen_3_01long_01double_00_01IRNG_00_01stateTag_01_4.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01double_00_01IRNG_00_01stateTag_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01double_00_01IRNG_00_01stateTag_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01double_00_01IRNG_00_01stateTag_01_4.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01float_00_01IRNG_00_01stateTag_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01float_00_01IRNG_00_01stateTag_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01float_00_01IRNG_00_01stateTag_01_4.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01long_01double_00_01IRNG_00_01stateTag_01_4-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01long_01double_00_01IRNG_00_01stateTag_01_4.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformClosed_3_01long_01double_00_01IRNG_00_01stateTag_01_4.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformOpen-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformOpen.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformOpen.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformOpenClosed-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformOpenClosed.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUniformOpenClosed.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUnownedMemoryBlock-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUnownedMemoryBlock.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUnownedMemoryBlock.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUpperTriangular-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUpperTriangular.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUpperTriangular.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUpperTriangularIterator-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classUpperTriangularIterator.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVector-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVector.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVector.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorIter-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorIter.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorIterConst-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorIterConst.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorPick-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorPick.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorPickIter-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorPickIter.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorPickIterConst-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classVectorPickIterConst.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classZeroElement-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classZeroElement.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classes.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classprettyPrintFormat-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/classprettyPrintFormat.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/compiler_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/compiler_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/config_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/config_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/default_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/default_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/discrete-uniform_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/discrete-uniform_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/doxygen.css
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/doxygen.png
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/etbase_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/etbase_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/exponential_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/exponential_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/extremum_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/extremum_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/files.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/functions.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/functions_eval.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/functions_func.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/functions_rela.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/functions_type.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/functions_vars.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/gamma_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/gamma_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals_defs.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals_enum.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals_eval.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals_func.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals_type.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/globals_vars.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/gnu_2bzconfig_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/gnu_2bzconfig_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/hierarchy.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/index.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/indexexpr_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/indexexpr_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/installdox
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/listinit_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/listinit_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matdiag_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matdiag_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matgen_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matgen_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matltri_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matltri_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matrix_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matrix_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matsymm_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matsymm_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/mattoep_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/mattoep_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matutri_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/matutri_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/memblock_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/memblock_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/minmax_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/minmax_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/mstruct_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/mstruct_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/mt_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/mt_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/normal_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/normal_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/numtrait_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/numtrait_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/ops_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/ops_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/prettyprint_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/prettyprint_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-dunif_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-dunif_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-mt_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-mt_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-normal_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-normal_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-tt800_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-tt800_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-uniform_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/rand-uniform_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/random_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/random_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/range_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/range_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/reduce_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/reduce_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/search.idx
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/search.php
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/shapecheck_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/shapecheck_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structAdd-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structAdd.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseAnd-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseAnd.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseNot-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseNot.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseOr-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseOr.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseXor-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structBitwiseXor.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structDivide-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structDivide.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structEqual-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structEqual.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structGreater-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structGreater.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structGreaterOrEqual-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structGreaterOrEqual.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLess-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLess.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLessOrEqual-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLessOrEqual.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLogicalAnd-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLogicalAnd.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLogicalNot-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLogicalNot.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLogicalOr-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structLogicalOr.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structMersenneTwister_1_1BitMixer-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structMersenneTwister_1_1BitMixer.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structModulo-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structModulo.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structMultiply-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structMultiply.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structNotEqual-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structNotEqual.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structShiftLeft-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structShiftLeft.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structShiftRight-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structShiftRight.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structSubtract-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structSubtract.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structUnaryMinus-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structUnaryMinus.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structUnaryPlus-members.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structUnaryPlus.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structindependentState.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/structsharedState.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tinyvec-et_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tinyvec-et_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tinyvec_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tinyvec_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tinyveciter_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tinyveciter_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/traversal_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/traversal_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tuning_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tuning_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tvcross_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tvcross_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tvecglobs_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/tvecglobs_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/uniform_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/uniform_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vecglobs_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vecglobs_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/veciter_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/veciter_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vecpick_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vecpick_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vecpickiter_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vecpickiter_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vector-et_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vector-et_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vector_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/vector_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/wrap-climits_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/wrap-climits_8h.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/zero_8h-source.html
+%%PORTDOCS%%%%DOCSDIR%%/doxygen/zero_8h.html
  %%PORTDOCS%%%%DOCSDIR%%/indirect.gif
-%%PORTDOCS%%%%DOCSDIR%%/install.yo
-%%PORTDOCS%%%%DOCSDIR%%/legal.yo
-%%PORTDOCS%%%%DOCSDIR%%/makeHTMLIndex.cpp
-%%PORTDOCS%%%%DOCSDIR%%/makedatestring
-%%PORTDOCS%%%%DOCSDIR%%/makeindex
-%%PORTDOCS%%%%DOCSDIR%%/numinquire.yo
-%%PORTDOCS%%%%DOCSDIR%%/parallel.yo
-%%PORTDOCS%%%%DOCSDIR%%/platforms.yo
-%%PORTDOCS%%%%DOCSDIR%%/preview
-%%PORTDOCS%%%%DOCSDIR%%/proc2e.sty
-%%PORTDOCS%%%%DOCSDIR%%/random.yo
-%%PORTDOCS%%%%DOCSDIR%%/range.html
-%%PORTDOCS%%%%DOCSDIR%%/sinsoid.eps
  %%PORTDOCS%%%%DOCSDIR%%/sinsoid.gif
-%%PORTDOCS%%%%DOCSDIR%%/slice.eps
-%%PORTDOCS%%%%DOCSDIR%%/slice.fig
  %%PORTDOCS%%%%DOCSDIR%%/slice.gif
-%%PORTDOCS%%%%DOCSDIR%%/strideslice.eps
-%%PORTDOCS%%%%DOCSDIR%%/strideslice.fig
  %%PORTDOCS%%%%DOCSDIR%%/strideslice.gif
-%%PORTDOCS%%%%DOCSDIR%%/tau.yo
-%%PORTDOCS%%%%DOCSDIR%%/tensor1.eps
-%%PORTDOCS%%%%DOCSDIR%%/tensor1.fig
  %%PORTDOCS%%%%DOCSDIR%%/tensor1.gif
-%%PORTDOCS%%%%DOCSDIR%%/tinymatrix.yo
-%%PORTDOCS%%%%DOCSDIR%%/tinyvector.yo
-%%PORTDOCS%%%%DOCSDIR%%/tuning.yo
-%%PORTDOCS%%%%DOCSDIR%%/update
-%%PORTDOCS%%%%DOCSDIR%%/vector.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/stencils
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/examples
+@dirrm share/nls/en_US.US-ASCII
+@dirrm share/nls/POSIX
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/doxygen
  %%PORTDOCS%%@dirrm %%DOCSDIR%%
  @dirrm include/random
  @dirrm include/blitz/meta
+@dirrm include/blitz/gnu
  @dirrm include/blitz/array
  @dirrm include/blitz
Comment 3 olivier.saut 2005-02-15 10:00:58 UTC
I could take maintainership of this port, if needed.

                         - Olivier
Comment 4 Thierry Thomas freebsd_committer 2005-02-20 21:37:12 UTC
State Changed
From-To: open->feedback


The second patch does not apply cleanly: 

Hmm...  Looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|diff -ruN blitz++.orig/Makefile blitz++/Makefile 
|--- blitz++.orig/Makefile      Fri Jan  7 09:19:28 2005 
|+++ blitz++/Makefile   Mon Jan 10 18:27:07 2005 
-------------------------- 
Patching file blitz++/Makefile using Plan A... 
Hunk #1 failed at 7. 
Hunk #2 failed at 19. 
2 out of 2 hunks failed--saving rejects to blitz++/Makefile.rej 
Hmm...  The next patch looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|diff -ruN blitz++.orig/distinfo blitz++/distinfo 
|--- blitz++.orig/distinfo      Fri Jan  7 09:19:28 2005 
|+++ blitz++/distinfo   Thu Jan  6 23:16:03 2005 
-------------------------- 
Patching file blitz++/distinfo using Plan A... 
Hunk #1 succeeded at 1. 
Hmm...  The next patch looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|diff -ruN blitz++.orig/files/patch-Makefile.in  
|blitz++/files/patch-Makefile.in 
|--- blitz++.orig/files/patch-Makefile.in       Fri Jan  7 09:19:28 2005 
|+++ blitz++/files/patch-Makefile.in    Thu Jan  6 23:16:03 2005 
-------------------------- 
Patching file blitz++/files/patch-Makefile.in using Plan A... 
Hunk #1 failed at 1. 
1 out of 1 hunks failed--saving rejects to blitz++/files/patch-Makefile.in.rej 
Hmm...  The next patch looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|Blitz-VS.NET.zip  
|diff -ruN blitz++.orig/files/patch-bzconfig blitz++/files/patch-bzconfig 
|--- blitz++.orig/files/patch-bzconfig  Fri Jan  7 09:19:28 2005 
|+++ blitz++/files/patch-bzconfig       Thu Jan  1 01:00:00 1970 
-------------------------- 
Patching file blitz++/files/patch-bzconfig using Plan A... 
Hunk #1 failed at 0. 
1 out of 1 hunks failed--saving rejects to blitz++/files/patch-bzconfig.rej 
Hmm...  The next patch looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|diff -ruN blitz++.orig/files/patch-doc-Makefile.in  
|blitz++/files/patch-doc-Makefile.in 
|--- blitz++.orig/files/patch-doc-Makefile.in   Fri Jan  7 09:19:28 2005 
|+++ blitz++/files/patch-doc-Makefile.in        Thu Jan  1 01:00:00 1970 
-------------------------- 
Patching file blitz++/files/patch-doc-Makefile.in using Plan A... 
Hunk #1 failed at 0. 
1 out of 1 hunks failed--saving rejects to blitz++/files/patch-doc-Makefile.in.rej 
Hmm...  The next patch looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|diff -ruN blitz++.orig/pkg-plist blitz++/pkg-plist 
|--- blitz++.orig/pkg-plist     Fri Jan  7 09:19:28 2005 
|+++ blitz++/pkg-plist  Thu Jan  6 23:16:03 2005 
-------------------------- 
Patching file blitz++/pkg-plist using Plan A... 
Hunk #1 failed at 26. 
Hunk #2 failed at 49. 
Hunk #3 failed at 161. 
3 out of 3 hunks failed--saving rejects to blitz++/pkg-plist.rej 
Hmm...  Ignoring the trailing garbage. 

Perhaps is it just a matter of encoding; could you please 
check it and re-send it? 

Regards, 



Comment 5 Thierry Thomas freebsd_committer 2005-02-20 21:37:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 6 saut 2005-02-22 16:33:09 UTC
Thierry Thomas wrote:
> Le Lun 21 fév 05 à 12:48:02 +0100, Olivier Saut <saut@mip.ups-tlse.fr>
>  écrivait :
> 
> 
> Thanks, this new patch works fine!

Great. Sorry for the late answer, it was a busy day at work.

> 
> But I have some remarks:
> 
> - it does not deinstall cleanly (see the attached
> blitz++-deinstall.log);

Thanks, i will update the patch asap. doxygen was updated since i submit 
the patch, it generates more files now.


> 
> - the macro %%PORTDOCS%% is used in pkg-plist (and this is fine) but
> there is no '.if !defined(NOPORTDOCS)' in your Makefile;

If NOPORTDOCS is defined, the doc are not built (see 
files/patch-Makefile.in). Is this correct?

> 
> - why do you include ${PORTVERSION} in DOCSDIR? There is no risk of
> conflict with another version.

That is the default doc dirs from the source. I can patch the source to 
change this name to blitz but i wonder if it is useful. If you want i 
can update the patch for it.

> 
> And just another question (optional): have you tried to link with blas
> or atlas libraries?

Not yet. I plan to try it soon.

Best regards,

			- Olivier
Comment 7 saut 2005-02-22 18:22:02 UTC
Here is an updated patch:
* pkg-plist rebuilt after doxygen update.

* Add a BUILD_DEPENDS on doxygen if !NOPORTDOCS

* Use INSTALLS_SHLIB=yes as a dynamic version of the lib is built.

* Add INFO for the info file (there is still a warning because of it at 
desintall time but i do not know how to solve it).

* Add two patches patch-doc-Makefile.in and 
patch-doc-doxygen-Makefile.in to install doc files in 
${PREFIX}/share/doc/blitz instead of 
${PREFIX}/share/doc/blitz-${PORTVERSION}

* Add myself as the maintainer if nobody cares more.

Hope this starts to look better :-)

			- Olivier
Comment 8 Thierry Thomas freebsd_committer 2005-02-22 23:35:32 UTC
State Changed
From-To: feedback->closed


Committed, thanks! 
(with some modifications)